body {
  min-height: 100vh;
  background-color: #0080ff;
  margin: 0;
  font-family: sans-serif;
}
@font-face {
  font-family: "FontAwesome";
  font-display: block;
  src: url(https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/webfonts/fa-solid-900.woff2) format("woff2"), url(https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/webfonts/fa-solid-900.ttf) format("truetype");
}
@font-face {
  font-family: "FontAwesome";
  font-display: block;
  src: url(https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/webfonts/fa-brands-400.woff2) format("woff2"), url(https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/webfonts/fa-brands-400.ttf) format("truetype");
}
@font-face {
  font-family: "FontAwesome";
  font-display: block;
  src: url(https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/webfonts/fa-regular-400.woff2) format("woff2"), url(https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/webfonts/fa-regular-400.ttf) format("truetype");
}
.header {
  height: 150px;
  position: relative;
  background: linear-gradient(to bottom, #90dffe 0%, #38a3d1 100%);
  z-index: -20;
  padding-left: 2em;
  padding-top: 1em;
}
.header h1 {
  font-family: 'Pirata One';
  color: white;
}
.header img {
  position: absolute;
  bottom: 15px;
  right: 10%;
  width: 100px;
  height: auto;
  animation: ease-in-out 1s bob alternate infinite;
  z-index: 5;
}
.waves {
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 70px;
  overflow: hidden;
  font-size: 7px;
}
.waves > div {
  position: absolute;
  left: 0;
  right: 0;
  display: flex;
  flex-direction: column;
  height: 100%;
}
.waves > div::before,
.waves > div::after {
  content: ' ';
  flex: 1 0 auto;
}
.waves .wave {
  flex: 0 0 auto;
  background: url("wave.png");
  background-size: 34em 105%;
  filter: brightness(0) invert(33%) sepia(79%) saturate(2951%) hue-rotate(197deg) brightness(102%) contrast(108%);
  animation: linear 3s wave infinite, linear 2s surf alternate infinite;
  height: 60%;
}
.waves .plane1 {
  font-size: 0.6em;
  top: -15%;
  z-index: -10;
}
.waves .plane1::after {
  background-color: #0000ff;
}
.waves .plane1 .wave {
  animation: linear 1.2s wave infinite, linear 1.8s surf alternate infinite;
  filter: brightness(0) invert(8%) sepia(97%) saturate(6650%) hue-rotate(245deg) brightness(105%) contrast(149%);
}
.waves .plane2 {
  font-size: 0.8em;
  top: 0;
  z-index: 0;
}
.waves .plane2::after {
  background-color: #0040ff;
}
.waves .plane2 .wave {
  animation: linear 3s wave reverse, linear 0.7s surf alternate infinite;
  filter: brightness(0) invert(34%) sepia(100%) saturate(7461%) hue-rotate(228deg) brightness(97%) contrast(114%);
}
.waves .plane3 {
  top: 15%;
  z-index: 10;
}
.waves .plane3::after {
  background-color: #0080ff;
}
@keyframes wave {
  from {
    background-position-x: -17em;
  }
  to {
    background-position-x: 17em;
  }
}
@keyframes surf {
  from {
    height: 0;
  }
  to {
    height: 60%;
  }
}
@keyframes bob {
  from {
    transform: translateY(-3%) rotate(5deg);
  }
  to {
    transform: translateY(3%) rotate(0deg);
  }
}
.content {
  padding: 0 2em 2em 2em;
}
.site-list {
  padding: 0;
  width: 100%;
  border-spacing: 0.3em;
  display: grid;
  grid-template-columns: repeat(var(--column-count, 1), auto);
  gap: 0.25em;
}
.site-list thead {
  display: grid;
  grid-template-columns: subgrid;
  grid-column: 1 / -1;
}
.site-list th {
  color: white;
  text-align: left;
  padding-left: 1em;
}
.site-list tr {
  display: contents;
}
.site-list tbody {
  display: grid;
  grid-template-columns: subgrid;
  grid-column: 1 / -1;
  grid-template-rows: auto;
  gap: 0.25em;
}
.site-list tbody .site-details td {
  display: grid;
  grid-column: 2 / -2;
  grid-row: 2;
}
.site-list tbody.expanded {
  grid-template-rows: repeat(2, auto);
}
.site-list tbody:not(.expanded) .site-details {
  display: none;
}
.site-list td {
  align-content: center;
}
.site-list td:first-child {
  grid-row: 1 / -1;
}
.site td {
  position: relative;
  background: white;
  padding: 1em;
}
.site .site-info td:first-child {
  border-radius: 2em 0 0 2em;
}
.site .site-info td:last-child {
  border-radius: 0 2em 2em 0;
}
.site .site-info .site-favicon {
  width: 2em;
}
.site .site-info .site-last-status {
  width: 15em;
}
.site .history {
  display: flex;
}
.site .history .entry {
  flex: 1 1 auto;
  position: relative;
  height: 1em;
}
.site .history .entry::after {
  display: block;
  content: '';
  position: absolute;
  top: 0;
  left: 0.1em;
  bottom: 0;
  right: 0.1em;
  border-radius: 0.5em;
  background: lightgreen;
}
.site .history .entry.failure::after {
  background: salmon;
}
.site .plugin-list {
  display: grid;
  grid-template-columns: repeat(2, max-content);
  gap: 0.25em 1em;
  margin-left: 2em;
}
.site .plugin-list .plugin-details {
  display: grid;
  grid-column: 1 / span 2;
  grid-template-columns: subgrid;
}
.site .plugin-list .plugin-details .identifier .name {
  display: block;
  font-weight: bold;
}
.site .plugin-list .plugin-details .identifier .slug {
  display: block;
  margin-left: 1em;
  font-size: small;
}
.site .plugin-list .plugin-details .version {
  align-self: center;
}
.site .plugin-list .plugin-details .version .version {
  font-weight: bold;
}
.site .plugin-list .plugin-details .version .status {
  font-style: italic;
}
.site .plugin-list .plugin-details .version .status::before {
  content: '(';
}
.site .plugin-list .plugin-details .version .status::after {
  content: ')';
}
.site .plugin-list .plugin-details[data-status="active"] .status {
  display: none;
}
.site .plugin-list .plugin-details:not([data-status="active"]) {
  text-decoration: line-through;
}
.site .admin-user-list {
  display: grid;
  grid-template-columns: repeat(2, max-content);
  gap: 0.25em 1em;
  margin-left: 2em;
}
.site .admin-user-list .user-details {
  display: grid;
  grid-column: 1 / span 2;
  grid-template-columns: subgrid;
}
.site .admin-user-list .user-details .identifier .email {
  display: block;
  font-weight: bold;
}
.site .admin-user-list .user-details .identifier .username {
  display: block;
  margin-left: 1em;
  font-size: small;
}
.site .admin-user-list .user-details .roles {
  display: flex;
  flex-wrap: wrap;
  align-self: center;
  list-style-type: none;
  font-weight: bold;
}
.site .admin-user-list .user-details .roles li:not(:last-child)::after {
  content: ', ';
}
.site .admin-user-list .user-details.is-silvertoad {
  color: #ccc;
  order: 1;
}
.site .status-request-error {
  font-weight: bold;
}
.site:not(.request-error) .status-request-error {
  display: none;
}
.site.request-error .status-request-response {
  display: none;
}
.site .status-code {
  font-weight: bold;
}
.site .server-name {
  font-weight: bold;
}
.site span[data-field-name="final-url"] {
  display: block;
  font-size: smaller;
  margin-left: 1em;
}
.site span[data-field-name="final-url"]::before {
  content: '\f3bf';
  display: inline-block;
  font-family: "FontAwesome";
  font-weight: 900;
  rotate: 90deg;
  margin-right: 0.5em;
}
.site .last-success {
  display: flex;
  flex-direction: row;
  font-size: smaller;
  gap: 0.5em;
  margin-top: 0.5em;
}
.site .last-success .datetime {
  display: inline-flex;
  flex-direction: row;
  gap: 0.25em;
}
.site .last-success .datetime > * {
  font-size: inherit;
}
.site:not(.failure) span.last-success {
  display: none;
}
.site:not(.has-redirect) span[data-field-name="final-url"] {
  display: none;
}
.site.disabled .enabled-only {
  display: none !important;
}
.site:not(.disabled) .disabled-only {
  display: none !important;
}
.site.failure td {
  background: #ffcfcf;
}
.toolbar {
  float: right;
  margin-bottom: 2em;
  display: flex;
  gap: 2em;
}
.toolbar .add-site {
  display: flex;
  gap: 0;
}
.toolbar .add-site input {
  border-radius: 2em 0 0 2em;
  padding: 1em;
  border: none;
  width: 30em;
}
.toolbar .add-site button {
  padding: 0 0.5em 0 0.5em;
  border: none;
  border-radius: 0 2em 2em 0;
  background: black;
  color: white;
  font-weight: bold;
  font-size: 2em;
}
.toolbar *:focus {
  outline: none;
}
[data-sort-key] {
  position: relative;
  padding-right: 3em;
}
[data-sort-key]::after {
  content: '\f0de';
  display: inline-block;
  font-family: "FontAwesome";
  font-weight: 900;
  opacity: 0.5;
  position: absolute;
  right: 1em;
}
[data-sort-key].active::after {
  opacity: 1;
}
[data-sort-key].active.reverse::after {
  content: '\f0dd';
}
.options {
  position: relative;
  text-align: center;
  padding-right: 1em;
  padding-left: 0.7em;
}
.options .options-menu {
  margin: 0;
  position: absolute;
  background: white;
  top: 0;
  right: 100%;
  list-style-type: none;
  border: 1px solid black;
  border-radius: 0.5em;
  z-index: 1;
  width: 15em;
  padding: 0;
  translate: 0 1em;
  opacity: 0;
  pointer-events: none;
  transition: all 0.5s;
  overflow: hidden;
  transform-origin: top;
}
.options .options-menu li {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 1em;
}
.options .options-menu li:hover {
  background: #eee;
}
.options:hover .options-menu {
  opacity: 1;
  pointer-events: all;
  translate: 0 0;
}
.hidden {
  display: none;
}
.modal {
  display: none;
  position: fixed;
  z-index: 100;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  align-items: center;
  justify-content: center;
}
.modal.active {
  display: flex;
}
.dialog-content {
  display: flex;
  flex-direction: column;
  background: #eee;
  margin: 0 auto;
  text-align: center;
  padding: 2em;
  border-radius: 1em;
  font-family: 'Pirata One';
}
.dialog-content h3 {
  padding-bottom: 0.5em;
  margin: 0;
  font-size: 2em;
}
.dialog-content button {
  outline: none;
  border: none;
  background-color: gold;
  font-family: inherit;
  font-size: 1.5em;
  padding: 0.5em;
  border-radius: 0.5em;
}
.dialog-content .options-bar {
  display: flex;
  justify-content: flex-end;
  gap: 1em;
  padding-top: 1em;
}
.site-favicon {
  padding: 0 0.5em 0 1em !important;
  text-align: center;
}
.site-favicon img {
  width: 2em;
  height: 2em;
}
.site-favicon:not(.valid) img {
  display: none;
}
button {
  padding: 0.5em 2em;
  border: none;
  border-radius: 2em;
  background: gold;
  font-size: 1em;
}
@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}
.site-last-ip > div {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5em;
}
.site-last-ip > div img {
  height: 1rem;
  width: 1rem;
  object-fit: contain;
}
.site-last-ip > div > div:first-child {
  display: flex;
  align-items: center;
  gap: 0.5em;
}
.site-last-ip > div > div:first-child > div {
  display: flex;
  align-items: center;
  gap: 0.5em;
}
.site-last-ip > div > div:last-child {
  font-size: x-small;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1em;
}
.site-last-ip::after {
  content: "";
  position: absolute;
  top: 2px;
  left: 2px;
  aspect-ratio: 1 / 1;
  width: 1.5em;
  pointer-events: none;
  background: linear-gradient(135deg, var(--server-colour) 50%, transparent 50%);
  opacity: 0.6;
}
.server-name {
  white-space: nowrap;
}
.server-name i.detail {
  font-weight: normal;
  font-size: smaller;
}
[data-action] {
  cursor: pointer;
}
[data-action].in-progress::before {
  content: '\f110';
  display: inline-block;
  font-family: "FontAwesome";
  font-weight: 900;
  margin-right: 0.5em;
  animation: spin 1s linear infinite;
}
.datetime {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: 0.5em;
}
.datetime .date {
  order: 1;
  font-size: smaller;
}
.split {
  display: flex;
  flex-direction: row;
  gap: 1em;
  flex-wrap: wrap;
}
.split > * {
  flex: 1 0 0;
}
plugin-select {
  width: 20em;
}
plugin-select::part(selected) {
  border: none;
  display: flex;
  align-items: center;
  padding: 1em 2em;
  border-radius: 2em;
  background: white;
}
plugin-select::part(dropdown) {
  box-shadow: 0 0 10px 0px #00000040;
  margin-top: 0.25em;
  border-radius: 1em;
}
plugin-select::part(search) {
  padding: 0.5em 1em;
  border-bottom: 1px solid #ccc;
}
plugin-select::part(search)::before {
  content: '\f002';
  display: inline-block;
  font-family: "FontAwesome";
  font-weight: 900;
}
plugin-select::part(option) {
  padding: 1em;
  display: flex;
  flex-direction: column;
}
plugin-select::part(option):hover {
  background: #eee;
}
plugin-select::part(plugin-name) {
  font-weight: bold;
}
plugin-select::part(plugin-slug) {
  font-size: smaller;
  margin-left: 1em;
}
plugin-select::part(plugin-install-count) {
  font-size: smaller;
  margin-left: 1em;
  margin-top: 0.5em;
}
